# &kde;:s användarhandbok

Harri
Porten

    porten@kde.org

2008-10-15
0.01.01
kjs
1

# `kjs`

&kde;:s ECMAScript-kompatibla tolk

## Översikt

    kjs  --help -help -h   -e sats   skript

## Beskrivning

`kjs` är KDE:s ECMAScript/JavaScript-gränssnitt.

## Programväljare

`--help`,`-help`,`-h`

  Visa användning av `kjscmd`.

`-e` `sats`

  Kör satsen och avslutar. Till exempel:

      kjs -e "print('Hej allesamman')"

`skript`

  Kör satserna som är inkluderade i filen `skript`.

## Användning

`kjs` `fil`, liksom många andra tolkar när de anropas utan parametrar, använder en radeditor för inskrivning av satser, och visar promptern

    JS
    >

. För att avsluta radeditorn, skriv `quit()` eller tryck på `Ctrl+D`.

## Se också

kjs(1)

## Fel

Det finns troligen en massa fel. Använd bugs.kde.org för att rapportera dem.